Close

What are you looking for?

cancel
Showing results for 
Search instead for 
Did you mean: 

Can't download BBC Iplayer or ITV hub on Samsung Galaxy m31

(Topic created on: 18-10-2020 01:36 PM)
1267 Views
AlyceWhisker
First Poster
Options

I have just purchased a galaxy m31 and have found I can't find BBC player or ITV hub on the app store, and when i search them through google web and tap the 'download our app' pop up, it says 'Your device isn't compatible with this version'. Is there anything that I can do to change this, the app description says I need Android 5 or above and I am using Android 10. I thought these were very common and accessible apps I am surprised I can't have them on this new phone. 

0 Likes
6 REPLIES 6
AndrewL
Moderator
Moderator
Options

@AlyceWhisker: Where did you purchase the M31 from, and where are you currently based? 

0 Likes
AlyceWhisker
First Poster
Options

I am based in the UK and bought the phone off the samsung website 

0 Likes
AndrewL
Moderator
Moderator
Options

@AlyceWhisker: Have you tried using the search function in the Google Play Store to manually search for the apps? 

0 Likes
AlyceWhisker
First Poster
Options

Yes, that is what I've done, on the google Play Store the apps don't even come up when i search for them, and when I go on the google web browser and click the 'download our apps' pop up, it loads to the app download page where it says 'Your device isn't compatible with this version'.

0 Likes
millerman
Voyager
Options
Is it possible something to do with android version 🤔
0 Likes
mozz
Apprentice
Options

Hi everyone, I have the same problem with Tab S3. Android 9. 

 

Device not compatible and held on for 10 minutes with no reply on Samsung Live Chat.

 

Any advice on which 10" tablets work.

0 Likes